package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.SysLocaleResource;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 系统语言资源接口
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2018-11-12 13:32
 * @Modify:
 **/
public interface ISysLocaleResourceService {

    @ApiOperation(value = "新增系统资源",notes = "新增系统资源")
    SysLocaleResource insertSysLocaleResource(SysLocaleResource sysLocaleResource);

    @ApiOperation(value = "修改系统资源",notes = "修改系统资源")
    void updateSysLocaleResource(SysLocaleResource sysLocaleResource);

    @ApiOperation(value = "根据id删除系统资源",notes = "根据id删除系统资源")
    void deleteSysLocaleResourceById(Long id);

    @ApiOperation(value = "查询全部系统资源",notes = "查询全部系统资源")
    List listSysLocaleResource();

    @ApiOperation(value = "系统资源复杂查询，分页，排序",notes = "系统资源复杂查询，分页，排序")
    ListPager querySysLocaleResourceByPager(SysLocaleResource sysLocaleResource, Pager pager);

    @ApiOperation(value = "根据id批量删除",notes = "根据id批量删除")
    void deleteSysLocaleResourceByIds(Long[] ids);

    @ApiOperation(value = "批量添加")
    void insertSysLocaleResourceList(List<SysLocaleResource> sysLocaleResources);

    @ApiOperation(value = "根据语言code和资源key查询资源")
    SysLocaleResource getSysLocaleResourceByLanguageCodeAndResKey(String languageCode,String resKey);

    @ApiOperation(value = "根据id查询资源")
    SysLocaleResource getSysLocaleResourceById(Long id);
}
